package beans;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.faces.context.FacesContext;

public class MessagesBean implements Serializable {

	private static final long serialVersionUID = 664178873951915626L;

	private List<String> messagesList;
	private String currentMessage;

	public MessagesBean() {
		messagesList = new ArrayList<String>();
	}
	
	public List<String> getMessagesList() {
		return messagesList;
	}

	public void setMessagesList(List<String> messagesList) {
		this.messagesList = messagesList;
	}

	public String getCurrentMessage() {
		return currentMessage;
	}

	public void setCurrentMessage(String currentMessage) {
		this.currentMessage = currentMessage;
	}
	
	public String getMessages(){
		StringBuilder result = new StringBuilder();
		Date date = new Date();		
		for(String msg : messagesList){	
			msg = String.format("%s\n %s",date.toString(), msg);
			result.append(msg);
			result.append("\n");
		}
		return result.toString();
	}

	public void insertMessage() {
		if (currentMessage != null) {
			messagesList.add(currentMessage);
		}
	}
}