package beans;

import java.io.Serializable;
import java.util.Locale;

import javax.faces.context.FacesContext;

public class UserBean implements Serializable {

	private String name;
	private Locale locale;

	public UserBean() {
		this.locale = FacesContext.getCurrentInstance().getApplication()
				.getDefaultLocale();
	}

	public void setLocale(Locale locale) {
		this.locale = locale;
	}

	public Locale getLocale() {
		return locale;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}
}
